
<!doctype html>
<html lang="ru" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
      
      <link rel="icon" href="../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.2.2, mkdocs-material-7.3.2">
    
    
      
        <title>Структура - ProtopiaEcosystem</title>
      
    
    
      <link rel="stylesheet" href="../assets/stylesheets/main.24c991ad.min.css">
      
        
        <link rel="stylesheet" href="../assets/stylesheets/palette.3f5d1f46.min.css">
        
          
          
          <meta name="theme-color" content="#009485">
        
      
    
    
    
      
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&display=fallback">
        <style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
      
    
    
    
      <link rel="stylesheet" href="../stylesheets/extra.css">
    
    
      


    
    
  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="" data-md-color-primary="teal" data-md-color-accent="">
  
    
    <script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#_1" class="md-skip">
          Перейти к содержанию
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Header">
    <a href=".." title="ProtopiaEcosystem" class="md-header__button md-logo" aria-label="ProtopiaEcosystem" data-md-component="logo">
      
  <img src="../assets/img/pe-logo.png" alt="logo">

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            ProtopiaEcosystem
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              Структура
            
          </span>
        </div>
      </div>
    </div>
    
    
    
      <label class="md-header__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
      </label>
      
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Поиск" placeholder="Поиск" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Search">
        
        <button type="reset" class="md-search__icon md-icon" aria-label="Clear" tabindex="-1">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"/></svg>
        </button>
      </nav>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Initializing search
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
      <div class="md-header__source">
        
<a href="https://gitlab.com/genagl/cra-template-pe/-/tree/main/" title="Перейти к репозиторию" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M105.2 24.9c-3.1-8.9-15.7-8.9-18.9 0L29.8 199.7h132c-.1 0-56.6-174.8-56.6-174.8zM.9 287.7c-2.6 8 .3 16.9 7.1 22l247.9 184-226.2-294zm160.8-88 94.3 294 94.3-294zm349.4 88-28.8-88-226.3 294 247.9-184c6.9-5.1 9.7-14 7.2-22zM425.7 24.9c-3.1-8.9-15.7-8.9-18.9 0l-56.6 174.8h132z"/></svg>
  </div>
  <div class="md-source__repository">
    GitLab
  </div>
</a>
      </div>
    
  </nav>
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
          
            
<nav class="md-tabs" aria-label="Tabs" data-md-component="tabs">
  <div class="md-tabs__inner md-grid">
    <ul class="md-tabs__list">
      
        
  
  


  
  
  
    <li class="md-tabs__item">
      <a href="../installation/" class="md-tabs__link">
        Установка
      </a>
    </li>
  

      
        
  
  
    
  


  
  
  
    <li class="md-tabs__item">
      <a href="../getting-start/" class="md-tabs__link md-tabs__link--active">
        Пользователям
      </a>
    </li>
  

      
        
  
  


  
  
  
    <li class="md-tabs__item">
      <a href="../developers/developers/" class="md-tabs__link">
        Разработчикам
      </a>
    </li>
  

      
        
  
  


  <li class="md-tabs__item">
    <a href="../contacts/" class="md-tabs__link">
      Сообщество
    </a>
  </li>

      
    </ul>
  </div>
</nav>
          
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    

  


<nav class="md-nav md-nav--primary md-nav--lifted" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href=".." title="ProtopiaEcosystem" class="md-nav__button md-logo" aria-label="ProtopiaEcosystem" data-md-component="logo">
      
  <img src="../assets/img/pe-logo.png" alt="logo">

    </a>
    ProtopiaEcosystem
  </label>
  
    <div class="md-nav__source">
      
<a href="https://gitlab.com/genagl/cra-template-pe/-/tree/main/" title="Перейти к репозиторию" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M105.2 24.9c-3.1-8.9-15.7-8.9-18.9 0L29.8 199.7h132c-.1 0-56.6-174.8-56.6-174.8zM.9 287.7c-2.6 8 .3 16.9 7.1 22l247.9 184-226.2-294zm160.8-88 94.3 294 94.3-294zm349.4 88-28.8-88-226.3 294 247.9-184c6.9-5.1 9.7-14 7.2-22zM425.7 24.9c-3.1-8.9-15.7-8.9-18.9 0l-56.6 174.8h132z"/></svg>
  </div>
  <div class="md-source__repository">
    GitLab
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_1" type="checkbox" id="__nav_1" >
      
      
      
      
        <label class="md-nav__link" for="__nav_1">
          Установка
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Установка" data-md-level="1">
        <label class="md-nav__title" for="__nav_1">
          <span class="md-nav__icon md-icon"></span>
          Установка
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../installation/" class="md-nav__link">
        Установка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../setup/" class="md-nav__link">
        Настройка приложения
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2" type="checkbox" id="__nav_2" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2">
          Пользователям
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Пользователям" data-md-level="1">
        <label class="md-nav__title" for="__nav_2">
          <span class="md-nav__icon md-icon"></span>
          Пользователям
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../getting-start/" class="md-nav__link">
        Описание
      </a>
    </li>
  

            
          
            
              
  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2" type="checkbox" id="__nav_2_2" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2">
          Модули
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Модули" data-md-level="2">
        <label class="md-nav__title" for="__nav_2_2">
          <span class="md-nav__icon md-icon"></span>
          Модули
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../modules/" class="md-nav__link">
        Что такое модули?
      </a>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_2" type="checkbox" id="__nav_2_2_2" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_2">
          Базовый
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Базовый" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_2">
          <span class="md-nav__icon md-icon"></span>
          Базовый
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../basic-module/core/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../basic-module/install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../basic-module/views/" class="md-nav__link">
        Структура
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_3" type="checkbox" id="__nav_2_2_3" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_3">
          Админ
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Админ" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_3">
          <span class="md-nav__icon md-icon"></span>
          Админ
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../admin-module/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../admin-module-install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
    
  
  
    <li class="md-nav__item md-nav__item--active">
      
      <input class="md-nav__toggle md-toggle" data-md-toggle="toc" type="checkbox" id="__toc">
      
      
      
        <label class="md-nav__link md-nav__link--active" for="__toc">
          Структура
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <a href="./" class="md-nav__link md-nav__link--active">
        Структура
      </a>
      
        
<nav class="md-nav md-nav--secondary" aria-label="Содержание">
  
  
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Содержание
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#_1" class="md-nav__link">
    Страница «Карта Сайта»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_2" class="md-nav__link">
    Страница «Список объектов Типа Данных»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_3" class="md-nav__link">
    Страница редактирования объекта
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_4" class="md-nav__link">
    Страница «Модули»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_5" class="md-nav__link">
    Страница «Настройки»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_6" class="md-nav__link">
    Страница «Виджеты»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_7" class="md-nav__link">
    Страница «Навигация админки»
  </a>
  
</li>
      
    </ul>
  
</nav>
      
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_4" type="checkbox" id="__nav_2_2_4" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_4">
          Вёрстка
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Вёрстка" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_4">
          <span class="md-nav__icon md-icon"></span>
          Вёрстка
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/landing-module/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/landing-module-install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_4_3" type="checkbox" id="__nav_2_2_4_3" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_4_3">
          Структура лендинга.
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Структура лендинга." data-md-level="4">
        <label class="md-nav__title" for="__nav_2_2_4_3">
          <span class="md-nav__icon md-icon"></span>
          Структура лендинга.
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/sections/" class="md-nav__link">
        Секции
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/content/" class="md-nav__link">
        Содержимое
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/title/" class="md-nav__link">
        Заголовок и подзаголовок
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/composition/" class="md-nav__link">
        Композиция
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/style-css/" class="md-nav__link">
        Стиль
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/divider/" class="md-nav__link">
        Разделитель
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/back/" class="md-nav__link">
        Умный задник
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/content-type/" class="md-nav__link">
        Выбор типа содержимого
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/styled-templates/" class="md-nav__link">
        Стилевые шаблоны
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/visible/" class="md-nav__link">
        Видимость
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_4_4" type="checkbox" id="__nav_2_2_4_4" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_4_4">
          Типы контента
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Типы контента" data-md-level="4">
        <label class="md-nav__title" for="__nav_2_2_4_4">
          <span class="md-nav__icon md-icon"></span>
          Типы контента
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/archor-menu/" class="md-nav__link">
        Якорное меню
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/accordeon/" class="md-nav__link">
        Аккордеон
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/cards/" class="md-nav__link">
        Карточки
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/carousel/" class="md-nav__link">
        Карусель контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/columns/" class="md-nav__link">
        Колонки контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/contact-form/" class="md-nav__link">
        Контактная форма
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/posts-feed/" class="md-nav__link">
        Лента постов
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/html/" class="md-nav__link">
        HTML
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/image/" class="md-nav__link">
        Изображение
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/outer-link/" class="md-nav__link">
        Внешняя ссылка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/inner-link/" class="md-nav__link">
        Внутренняя ссылка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/layers/" class="md-nav__link">
        Слои контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/matchings/" class="md-nav__link">
        Опрос
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/features/" class="md-nav__link">
        Достоинства
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/posts-carousel/" class="md-nav__link">
        Карусель постов
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/quote/" class="md-nav__link">
        Цитата
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/rows/" class="md-nav__link">
        Строки контейнеров
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/socials/" class="md-nav__link">
        Социальные кнопки
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/team/" class="md-nav__link">
        Команда
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/testinomials/" class="md-nav__link">
        Отзывы клиентов
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/timeline/" class="md-nav__link">
        Timeline
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/video/" class="md-nav__link">
        Видео-ролик
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/video-player/" class="md-nav__link">
        Видео-подборка
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/vk-vidgets/" class="md-nav__link">
        Виджет ВКонтакте
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/yandex-map/" class="md-nav__link">
        Карта Яндекс
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/zoom-pan-pinch/" class="md-nav__link">
        Контейнер с лупой
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/card-template-library/" class="md-nav__link">
        Библиотека дизайнов Карточек
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../landing/sections-details/" class="md-nav__link">
        Часто задаваемые вопросы
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2_2_5" type="checkbox" id="__nav_2_2_5" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2_2_5">
          Наставник
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Наставник" data-md-level="3">
        <label class="md-nav__title" for="__nav_2_2_5">
          <span class="md-nav__icon md-icon"></span>
          Наставник
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../oraculi-module/core/" class="md-nav__link">
        Описание модуля
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../oraculi-module/install/" class="md-nav__link">
        Установка и конфигурация
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../oraculi-module/views/" class="md-nav__link">
        Структура
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../fest-module/" class="md-nav__link">
        Фест
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_3" type="checkbox" id="__nav_3" >
      
      
      
      
        <label class="md-nav__link" for="__nav_3">
          Разработчикам
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Разработчикам" data-md-level="1">
        <label class="md-nav__title" for="__nav_3">
          <span class="md-nav__icon md-icon"></span>
          Разработчикам
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../developers/developers/" class="md-nav__link">
        Описание
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../developers/react-client/compile/" class="md-nav__link">
        React-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../developers/php-client/_core/" class="md-nav__link">
        PHP-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../developers/wp-client/_core/" class="md-nav__link">
        Wordpress-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../developers/node-client/_core/" class="md-nav__link">
        NodeJS-клиент
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../developers/react-client/modules/" class="md-nav__link">
        Создание модулей
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    <li class="md-nav__item">
      <a href="../contacts/" class="md-nav__link">
        Сообщество
      </a>
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              
              <div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary" aria-label="Содержание">
  
  
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Содержание
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#_1" class="md-nav__link">
    Страница «Карта Сайта»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_2" class="md-nav__link">
    Страница «Список объектов Типа Данных»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_3" class="md-nav__link">
    Страница редактирования объекта
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_4" class="md-nav__link">
    Страница «Модули»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_5" class="md-nav__link">
    Страница «Настройки»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_6" class="md-nav__link">
    Страница «Виджеты»
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#_7" class="md-nav__link">
    Страница «Навигация админки»
  </a>
  
</li>
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content" data-md-component="content">
            <article class="md-content__inner md-typeset">
              
                
                  <a href="https://gitlab.com/genagl/cra-template-pe/-/tree/main/edit/master/docs/admin-module-views.md" title="Редактировать страницу" class="md-content__button md-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20.71 7.04c.39-.39.39-1.04 0-1.41l-2.34-2.34c-.37-.39-1.02-.39-1.41 0l-1.84 1.83 3.75 3.75M3 17.25V21h3.75L17.81 9.93l-3.75-3.75L3 17.25z"/></svg>
                  </a>
                
                
                  <h1>Структура</h1>
                
                <h2 id="_1">Страница «Карта Сайта»</h2>
<blockquote>
<p>В приложении должны быть уже установлена Админская Панель с вмонтированной страницей «Карта сайта. Страницы. Меню». По умолчанию они создаются и монтируются инсталлятором модуля «PE Admin» </p>
</blockquote>
<p>Заходим в админку, переходим на страницу «Карта сайта. Страницы. Меню». Умолчальный адрес её - <em>адрес приложения/admin-settings/admin-menu</em>. Но, естественно Вы можете поменять этот адрес, а также создать дополнительные страницы (хозяин — барин). Как? О! Эту тайну Вы постигнете несколькими абзацами ниже!</p>
<p><img alt="admin_site" src="../assets/img/admin-site.jpg" />
<em>страница имеет примерно вот такой вид</em></p>
<ol>
<li>
<p>Группы меню, которые есть в приложении. С помощью выпадающего списка выбираем нужную для последующего редактирования. Особое внимание удёляем разделу «Страницы вне меню». Это свалка всех страниц, у которых нет привязки ни к одной группе меню. Попасть на них можно либо по URL, либо (что более вероятно) на других страницах приложения уже есть линки на эти страницы.</p>
</li>
<li>
<p>Кнопки выбранной группы меню. Черным выделена текущая кнопка. Её параметры отображаются в области (6). Если Вам надо поменять порядок кнопок в меню — Природа подскажет...</p>
</li>
<li>
<p>Новую страницу в эту группу можно добавить и по САМОЙ БОЛЬШОЙ И ЯРКОЙ КНОПКЕ (5)</p>
</li>
<li>
<p>После внесения любого, самого незначительного изменения в Карту Сайта эта кнопка ярко зеленеет. Значит, можно сохранить изменения и при следующем заходе в приложение изменения вступят в силу.</p>
</li>
<li>
<p>САМАЯ БОЛЬШАЯ КНОПКА. Создаёт новую кнопку в любой группе меню.</p>
</li>
<li>
<p>Область редактирования свойств Страницы, которая привязана к активной кнопке в области (2)</p>
</li>
<li>
<p>Пиктограмма на кнопке меню. На сгенерированных страницах Эта пиктограмма  стоит слева от заголовка страницы. В режиме ручного редактирования layouts.json можно устанавливать пикто в виде графического файла.</p>
</li>
<li>
<p>Заголовок страницы и надпись на кнопке меню</p>
</li>
<li>
<p>Метод создания ссылки. По умолчанию - редактируется в области (6). Альтернатива - полностью наследуется с другой ссылки или страницы.</p>
</li>
<li>
<p>Визуальное описание пункта меню. Демонстрируется в админке.</p>
</li>
<li>
<p>URL страницы в приложении. Должен быть уникальным на своём уровне вложенности группы меню.</p>
</li>
<li>
<p>Тип контента.</p>
<p>a. <em>Готовый шаблон.</em> В области (12) выбираем один из тех, что установлены в приложении. В области (13) настраиваем дополнительные параметры, если они есть.</p>
<p>b. <em>Страница элемента Типа Данных</em>. Сгенерированная страница по структуре Типа Данных. Пусть и неказистая, но своя. В области (13) будет селектор выбора нужного Типа Данных)</p>
<p>c. <em>Лента постов Типа Данных</em>. Все ленты похожи друг на друга как белки. Видел одну - видел все. В области (13) будет селектор выбора нужного Типа Данных)</p>
<p>d. <em>Администрирование типа данных</em> Страницы редактирования объекта (см. описание модуля «PE Admin»). В области (13) будет селектор выбора нужного Типа Данных)</p>
<p>e. <em>Внешний html-файл</em> Указываем URL внешней страницы из интернета, её html-содержимое будет загружаться на страницу. Все ссылки на js-скрипты и библиотеки будут отключены из досужих соображений безопасности.  В области (13) будет инпут для ввода адреса искомой html.</p>
<p>f. <em>html</em> Пишите контент в редакторе — статическая страница готова.</p>
<p>g. <em>Внутренняя ссылка</em> Автоматическое перенапрпавление Пользователя на другую страницу приложения.  В области (13) вводим нутренний адрес перенаправления.</p>
</li>
<li>
<p>Выпадающий список готовых шаблонов страниц, которые доступны в приложении. Краткое описание каждого (При выборе типа контента (12) - «Готовый шаблон»). В других вариантах выбора — другие модификаторы.</p>
</li>
<li>
<p>Фильтр по модулям. Помощь, если список слишком большой, а Вы знаете, что ищите.</p>
</li>
<li>
<p>Дополнительные параметры, которые требуют некоторые шаблоны.</p>
</li>
<li>
<p>Страница и соответствующая кнопка меню будут доступны только авторизованным пользователям</p>
</li>
<li>
<p>Список ролей Пользователей, которым будет доступна эта страница и показываться кнопка меню. Если не выбрана ни одна из ролей - кнопка видна всем, кто указан в области (16)</p>
</li>
<li>
<p>Понятно... Если Вы организовали приложение по-умолчанию, то слева будет панель кнопок меню админки. На всех остальных страницах она не нужна. Однако в Ваших возможностях организовать менюхи по-своему. Управление и кастомизация левого меню - см. раздел «Кастомизация левого меню»</p>
</li>
<li>
<p>Панель модификации текущей страникы. Кнопки: </p>
<ul>
<li>
<p>Удалить текущую страницу и ссылку на неё из текущей группы меню.</p>
</li>
<li>
<p>Создать дочернюю группу подменю, которая будет отрываться по этой кнопке. Структура области (2) должна чудесным образом измениться...</p>
</li>
<li>
<p>перейти на указанную страницу. Эта возможность доступна после сохранения новой Карты сайта и перезагрузки страницы браузера.</p>
</li>
</ul>
</li>
</ol>
<h2 id="_2">Страница «Список объектов Типа Данных»</h2>
<p>отображение и интерактивное управление набором Типа Данных и синхронизации данных с удалённым сервером PE (см. раздел Сервер PE). На этих страницах Администратор может просматривать все объекты определённого типа данных (пагинация, фильтрация), создавать новый объект Типа Данных, удалять существующие.</p>
<p><img alt="admin-list.jpg" src="/assets/img/admin-list.jpg" />
<em>Пример списка Пользователей</em></p>
<h2 id="_3">Страница редактирования объекта</h2>
<p>отображение и интерактивное управление полями единичного объекта Типа Данных. </p>
<p>Изменение значений полей разнообразных типов (скалярные: строка,текст, html-текст, числа, булевые переключения и радио-переключатели, enum-значения, цвета, строковые наборы, даты, e-mail, телефонные номера, url, картинки, вложенные файлы (публикация на удалённом сервере), пароли и гео-позиции (с генерацией адреса по обратному гео-кодированию)). Есть возможность управления реляционными ссылками на дочерние объекты других Тиров Данных как с единичным так и с мульти-выбором. </p>
<p><img alt="admin-single.jpg" src="/assets/img/admin-single.jpg" />
<em>Пример интерфейста редактирования учётной записи Пользователя</em></p>
<h2 id="_4">Страница «Модули»</h2>
<p>В текущей версии продукта Страница «Модули» не является инструментом настройки и управления. Только информационная. На ней администратор может быстро понять, какие модули инсталлированы в приложение, какие ресурсы имеются в его распоряжении и какие возможности есть в его руках. В будущих версиях предполагается разработать систему визуально-интерактивного управления модулями.</p>
<p><img alt="admin-modules.jpg" src="/assets/img/admin-modules.jpg" /></p>
<ol>
<li>
<p>Переключатель источников (текущее приложение, сервер NPMjs.com или GitLab</p>
</li>
<li>
<p>Лента установленных в приложении модулей с кратким описанием их функциональности</p>
</li>
<li>
<p>Подробная информация о кажом модуле раскрывается из аккордеона.</p>
</li>
</ol>
<h2 id="_5">Страница «Настройки»</h2>
<p>Страница общих настроек приложения. В зависимости от конфигурации (и набора установленных модулей) может выглядеть по разному.
Например:</p>
<p><img alt="admin-settings.jpg" src="/assets/img/admin-settings.jpg" /></p>
<p><em>пример общего вида страницы настроек приложения</em></p>
<p>Список настроек предоставляет сервер приложения и изменения вносятся тоже на сервер.</p>
<h2 id="_6">Страница «Виджеты»</h2>
<p><img alt="admin-widgets" src="/assets/img/admin-widgets.jpg" />
<em>Общий вид страницы</em></p>
<ol>
<li>
<p>Лента доступных в приложении гнёзд для виджетов. В каждом гнезде указаны</p>
<ul>
<li>название гнезда</li>
<li>краткое описание места, где оно находится</li>
<li>количество виждетов, вмонтированных в гнездо</li>
</ul>
</li>
<li>
<p>Текущее гнездо, его модификатор демонстрируется в зоне (3)</p>
</li>
<li>
<p>Модификатор гнезда Виджетов. Здесь администратор вставляет виджеты в генздо, удаляет виджеты и настраивает параметры виджетов, если есть модификаторы. Мы видим, что в данное гнездо вмонтирован один виджет. </p>
</li>
<li>
<p>У Данного виджета нет дополнительных настроек. </p>
</li>
<li>
<p>Открыт поп-ап добавления в гнездо ещё одного виджета. В поп-апе  - список виджетов, доступных для монтирования в это гнездо.</p>
</li>
<li>
<p>Результат монтирования этого виджета в это гнездо.</p>
</li>
</ol>
<h2 id="_7">Страница «Навигация админки»</h2>
<p>Эту страницу-заглушку удобно ставить в панель администрирования, в навигационные страницы, у которых нет содержимого, но есть дочерние страницы... </p>
<p>Показываются кнопки на дочерние страницы с названиями и описаниями функционала. Названия и описания страниц редактируем в «Карте сайта»</p>
<p><img alt="admin-navi" src="/assets/img/admin-navi.jpg" />
<em>Общий вид страницы</em></p>
                
              
              
                


              
            </article>
          </div>
        </div>
        
      </main>
      
        
<footer class="md-footer">
  
    <nav class="md-footer__inner md-grid" aria-label="Footer">
      
        
        <a href="../admin-module-install/" class="md-footer__link md-footer__link--prev" aria-label="Назад: Установка и конфигурация" rel="prev">
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
          </div>
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Назад
              </span>
              Установка и конфигурация
            </div>
          </div>
        </a>
      
      
        
        <a href="../landing/landing-module/" class="md-footer__link md-footer__link--next" aria-label="Вперед: Описание модуля" rel="next">
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Вперед
              </span>
              Описание модуля
            </div>
          </div>
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"/></svg>
          </div>
        </a>
      
    </nav>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
          <div class="md-footer-copyright__highlight">
            Copyright &copy; 2018 - 2021 Конструкторское Бюро Дома Протопии
          </div>
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
            Material for MkDocs
          </a>
        
        
      </div>
      
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    <script id="__config" type="application/json">{"base": "..", "features": ["navigation.tabs"], "translations": {"clipboard.copy": "\u041a\u043e\u043f\u0438\u0440\u043e\u0432\u0430\u0442\u044c \u0432 \u0431\u0443\u0444\u0435\u0440", "clipboard.copied": "\u0421\u043a\u043e\u043f\u0438\u0440\u043e\u0432\u0430\u043d\u043e \u0432 \u0431\u0443\u0444\u0435\u0440", "search.config.lang": "ru", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "\u041f\u043e\u0438\u0441\u043a", "search.result.placeholder": "\u041d\u0430\u0447\u043d\u0438\u0442\u0435 \u043f\u0435\u0447\u0430\u0442\u0430\u0442\u044c \u0434\u043b\u044f \u043f\u043e\u0438\u0441\u043a\u0430", "search.result.none": "\u0421\u043e\u0432\u043f\u0430\u0434\u0435\u043d\u0438\u0439 \u043d\u0435 \u043d\u0430\u0439\u0434\u0435\u043d\u043e", "search.result.one": "\u041d\u0430\u0439\u0434\u0435\u043d\u043e 1 \u0441\u043e\u0432\u043f\u0430\u0434\u0435\u043d\u0438\u0435", "search.result.other": "\u041d\u0430\u0439\u0434\u0435\u043d\u043e # \u0441\u043e\u0432\u043f\u0430\u0434\u0435\u043d\u0438\u0439", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.e99e714c.min.js", "version": null}</script>
    
    
      <script src="../assets/javascripts/bundle.bc35569b.min.js"></script>
      
    
  </body>
</html>